osl::search::HashRejections Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Public Member Functions | Private Attributes | List of all members
osl::search::HashRejections Class Reference

`#include <hashRejections.h>`

## Classes
struct | RootTable
struct | Table

## Public Member Functions
| HashRejections ()
| HashRejections (const HashRejections &)
| ~HashRejections ()
HashRejections & | operator= (const HashRejections &)
void | addRejectionRoot (const NumEffectState &parent, const HashKey &key, Move move)
void | clearRejectionRoot (const NumEffectState &parent, const HashKey &key, Move move)
void | addRejection (const NumEffectState &parent, const HashKey &key, Move move)
void | clearRejection (const NumEffectState &parent, const HashKey &key, Move move)
bool | rejectionProbe (const HashKey &cur, const HashKey &parent) const

## Private Attributes
boost::shared_ptr< RootTable > | root_table
boost::scoped_ptr< Table > | table

## Detailed Description

Definition at line 15 of file hashRejections.h.

## Constructor & Destructor Documentation

osl::search::HashRejections::HashRejections | ( | ) |  |

Definition at line 31 of file hashRejections.cc.

osl::search::HashRejections::HashRejections | ( | const HashRejections & | src) |  |

Definition at line 35 of file hashRejections.cc.

osl::search::HashRejections::~HashRejections | ( | ) |  |

Definition at line 39 of file hashRejections.cc.

## Member Function Documentation

void osl::search::HashRejections::addRejection | ( | const NumEffectState & | parent,
|  | const HashKey & | key,
|  | Move | move
| ) |  |

Definition at line 86 of file hashRejections.cc.

References osl::search::HashRejections::Table::Entry::black_stand, osl::move_generator::capture::generate(), and moves.

void osl::search::HashRejections::addRejectionRoot | ( | const NumEffectState & | parent,
|  | const HashKey & | key,
|  | Move | move
| ) |  |

Definition at line 55 of file hashRejections.cc.

References osl::search::HashRejections::RootTable::Entry::black_stand, osl::move_generator::capture::generate(), moves, and osl::search::HashRejections::RootTable::Entry::parent.

void osl::search::HashRejections::clearRejection | ( | const NumEffectState & | parent,
|  | const HashKey & | key,
|  | Move | move
| ) |  |

Definition at line 101 of file hashRejections.cc.

References osl::move_generator::capture::generate(), and moves.

void osl::search::HashRejections::clearRejectionRoot | ( | const NumEffectState & | parent,
|  | const HashKey & | key,
|  | Move | move
| ) |  |

Definition at line 72 of file hashRejections.cc.

References osl::move_generator::capture::generate(), and moves.

osl::search::HashRejections & osl::search::HashRejections::operator= | ( | const HashRejections & | src) |  |

Definition at line 44 of file hashRejections.cc.

References root_table, and table.

bool osl::search::HashRejections::rejectionProbe | ( | const HashKey & | cur,
|  | const HashKey & | parent
| ) |  | const

Definition at line 115 of file hashRejections.cc.

References osl::BLACK.

## Member Data Documentation

boost::shared_ptr<RootTable> osl::search::HashRejections::root_table
| private

Definition at line 18 of file hashRejections.h.

Referenced by operator=().

boost::scoped_ptr<Table> osl::search::HashRejections::table
| private

Definition at line 20 of file hashRejections.h.

Referenced by operator=().

The documentation for this class was generated from the following files:

- hashRejections.h
- hashRejections.cc